Bug 1432900 - Exception is thrown when an empty report is opened in full screen
Summary: Exception is thrown when an empty report is opened in full screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Brian McLaughlin
QA Contact: Dmitry Misharov
URL:
Whiteboard: report
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-16 11:07 UTC by Dmitry Misharov
Modified: 2017-05-31 14:42 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:42:58 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Dmitry Misharov 2017-03-16 11:07:54 UTC
Description of problem:
When you try to open an empty saved report in full screen an exception will be thrown.

Version-Release number of selected component (if applicable):
5.7.1.3.20170221135006_818f133

How reproducible:
Always

Steps to Reproduce:
1. Navigate Cloud Intel->Reports.
2. Expand Reports accordion.
3. Create some saved report which will contain nothing.
4. Expand Saved Reports accordion.
5. In "All Saved Reports" table tick the checkbox of that report.
6. Click Configuration->Show full screen Report.

Actual results:
An exception will be thrown with similar text:
"Couldn't find MiqReportResult with 'id'=16 [report/report_only]"

Expected results:
There shouldn't be the exception, but some flash message maybe which warns the user that the report is empty.

Comment 2 Brian McLaughlin 2017-04-18 19:47:19 UTC
This issue was fixed by the following toolbar refactoring PR:

[1] https://github.com/ManageIQ/manageiq-ui-classic/pull/579

Comment 3 Dmitry Misharov 2017-04-24 08:48:47 UTC
Verified in 5.8.0.11-beta2.20170418170914_a53d2a7. "Show full screen Report" is inactive for empty reports.

Comment 5 errata-xmlrpc 2017-05-31 14:42:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.